# OSGeo::FDO::Expression::DataValue Class Reference
[OSGeo::FDO::Expression]

Inheritance diagram for OSGeo::FDO::Expression::DataValue:

[legend]

List of all members.

## Detailed Description

The DataValue class derives from LiteralValue and represents a literal value such as a string or a number.

()

## Public Member Functions
| DataValue (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a DataValue object based on an unmanaged instance of the object.
| DataValue (System::Byte value[], OSGeo::FDO::Schema::DataType dataType)
| Constructs an instance of an BLOBValue or CLOBValue using the specified arguments.
| DataValue (System::String *value)
| Constructs an instance of an StringValue using the specified argument.
| DataValue (System::Single value)
| Constructs an instance of an SingleValue using the specified argument.
| DataValue (System::Int64 value)
| Constructs an instance of an Int64Value using the specified argument.
| DataValue (System::Int32 value)
| Constructs an instance of an Int32Value using the specified argument.
| DataValue (System::Int16 value)
| Constructs an instance of an Int16Value using the specified argument.
| DataValue (System::Double value, OSGeo::FDO::Schema::DataType dataType)
| Constructs an instance of an DecimalValue or DoubleValue using the specified arguments.
| DataValue (System::DateTime value)
| Constructs an instance of an DateTimeValue using the specified argument.
| DataValue (System::Byte value)
| Constructs an instance of an ByteValue using the specified argument.
| DataValue (System::Boolean value)
| Constructs an instance of an BooleanValue using the specified argument.
| DataValue (OSGeo::FDO::Schema::DataType dataType)
| Constructs an instance of a null DataValue using the specified arguments.
__property OSGeo::FDO::Schema::DataType | get_DataType ()
| Gets the data type of the DataValue.
__property OSGeo::FDO::Expression::LiteralValueType | get_LiteralValueType ()
| Gets the literal value type of the DataValue.
System::Boolean | IsNull ()
| Returns true if the DataValue represents a null value.
System::Void | SetNull ()
| Sets the DataValue to a null value of the specified type.